﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.IO;

namespace DataRayInterfacingCSharp
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            this.axGetData1.StartDriver();
            this.axGetData1.StartDevice();
        }

        private void ImageButton_MouseClick(object sender, MouseEventArgs e)
        {

        }

        private void RetireveImageData(object sender, EventArgs e)
        {

        }

        private void RetrieveImageData(object sender, EventArgs e)
        {
            short[] image;
            short[] array;
            image = axGetData1.GetWinCamDataAsVariant() as short[];
            array = axGetData1.GetWinCamDataAsVariant() as short[];
            long resolution = axGetData1.CaptureIsFullResolution();
            short horizontalPixels = axGetData1.GetHorizontalPixels();
            short verticalPixels = axGetData1.GetVerticalPixels();
            long pixelCount;
            //resolution of 0 indicates it is a fast resolution capture
            if (resolution == 0)
            {
                pixelCount = (horizontalPixels * verticalPixels) / 4;
            }
            //Full Resolution
            else if (resolution == 1)
            {
                pixelCount = (horizontalPixels * verticalPixels);
            }
            else
            {
                pixelCount = (horizontalPixels * verticalPixels) / 8;
            }
            string exeFolder = System.IO.Path.GetDirectoryName(Application.ExecutablePath);
            string pathname = exeFolder + "\\ImageData.csv";
            StreamWriter sw = new StreamWriter(pathname);
            for (int i = 1; i <= array.Length; i++)
            {
                int W = image[i - 1];
                string Name;
                if (i == 1)
                {
                    Name = W + ", ";
                    sw.Write(Name);
                }
                else if (i % (horizontalPixels) == 0)
                {
                    sw.Write(W + Environment.NewLine);
                }
                else
                {
                    Name = W + ", ";
                    sw.Write(Name);
                }
            }
            sw.Close();
        }

        private void axGetData1_DataReady(object sender, EventArgs e)
        {

        }
    }
}
